> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete rating

> This endpoint allows you to delete your rating on a TV episode.



## OpenAPI

````yaml delete /tv/{{series_id}}/season/{{season_number}}/episode/{{episode_number}}/rating
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /tv/{{series_id}}/season/{{season_number}}/episode/{{episode_number}}/rating:
    parameters:
      - name: series_id
        in: path
        required: true
        schema:
          type: string
      - name: season_number
        in: path
        required: true
        schema:
          type: string
      - name: episode_number
        in: path
        required: true
        schema:
          type: string
    delete:
      tags:
        - TV Episodes
      summary: Delete rating
      description: This endpoint allows you to delete your rating on a TV episode.
      operationId: deleteRating2
      parameters:
        - name: session_id
          in: query
          schema:
            type: string
            example: 7427e7f0d08c503a855b022dc5a2e124577150b8
        - name: guest_session_id
          in: query
          schema:
            type: string
            example: string
      requestBody:
        content:
          application/json:
            examples:
              Delete rating:
                value: ''
      responses:
        '200':
          description: Delete rating
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: br
            Date:
              schema:
                type: string
                example: Mon, 30 Dec 2024 11:33:41 GMT
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 76a7fdbced88b6eccf433c4e386bae40.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: GYy-mJGkFnWzVZkVfbL96ld3Vz2gHFjP6rXMOnaYoonEJHaaWRHRfg==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            cache-control:
              schema:
                type: string
                example: public, max-age=0
            etag:
              schema:
                type: string
                example: W/"0566f98871ddfd7f6ade28aaefb5167d"
            vary:
              schema:
                type: string
                example: accept-encoding
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    example: 13
                  status_message:
                    type: string
                    example: The item/record was deleted successfully.
                  success:
                    type: boolean
                    example: true
              examples:
                Delete rating:
                  value:
                    status_code: 13
                    status_message: The item/record was deleted successfully.
                    success: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````